This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 130992 - Loads of udev related avc's
Loads of udev related avc's
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks: FC3Target FC3BugWeekQA
  Show dependency treegraph
 
Reported: 2004-08-26 10:46 EDT by Leonard den Ottolander
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-09 13:54:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Startup avc denials (strict) (122.81 KB, text/plain)
2004-08-26 10:52 EDT, Leonard den Ottolander
no flags Details
Full startup avc denied messages (92.58 KB, text/plain)
2004-09-03 07:11 EDT, Leonard den Ottolander
no flags Details
Full system startup logs (118.45 KB, text/plain)
2004-09-03 07:36 EDT, Leonard den Ottolander
no flags Details

  None (edit)
Description Leonard den Ottolander 2004-08-26 10:46:57 EDT
selinux-policy-strict-1.17.2-1

I'm seeing loads of avc denieds in relation to udev. File system is
correctly (re)labeled. Attaching all errors at bootup (and root login).
Comment 1 Leonard den Ottolander 2004-08-26 10:52:04 EDT
Created attachment 103120 [details]
Startup avc denials (strict)

Startup (and root login) avc denials. Mostly udev related. (Also xfs failure.)
Comment 2 Daniel Walsh 2004-08-30 15:31:01 EDT
Most of these should be fixed in selinux-policy-strict-1.17.7-1
Comment 3 Leonard den Ottolander 2004-09-03 07:08:13 EDT
With the upgrade to 1.17.8-2 these specific errors have disappeared.
Sadly they are replaced by other avc denies for the same programs.

I'll attach the full startup avc denied messages here. There's other
stuff there too...
Comment 4 Leonard den Ottolander 2004-09-03 07:11:06 EDT
Created attachment 103427 [details]
Full startup avc denied messages
Comment 5 Leonard den Ottolander 2004-09-03 07:36:40 EDT
Created attachment 103430 [details]
Full system startup logs

Probably easier to compare what goes wrong where when you can compare the full
system startup log.
Comment 6 Daniel Walsh 2004-09-13 11:07:51 EDT
Lots of udev fixes have gone into policy.  We are not seeing udev AVC
messages form 1.17.12
Comment 7 Daniel Walsh 2005-02-09 13:54:03 EST
Fixed in current release

Note You need to log in before you can comment on or make changes to this bug.